| Face Engine SDK 5.12.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IHumanDetectionBatch Struct Referenceabstract

Human detection result batch interface. More...

`#include <IHumanDetectionBatch.h>`

Inheritance diagram for fsdk::IHumanDetectionBatch:

## Public Member Functions
virtual size_t | getSize () const noexcept=0
| Returns size.
virtual size_t | getSize (size_t imageIndex) const noexcept=0
| Returns size of the results for the target index. More...
virtual Human | getHuman (const Image &image, size_t imageIndex, size_t detectionIndex) const noexcept=0
| Returns detected Human. More...
virtual Span< const Detection > | getDetections (size_t index=0) const noexcept=0
| Returns detection Span. More...
virtual Span< const HumanLandmarks17 > | getLandmarks17 (size_t index=0) const noexcept=0
| Returns HumanLandmarks17 Span. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Human detection result batch interface.

## Member Function Documentation

## ◆ getDetections()

virtual Span<const Detection> fsdk::IHumanDetectionBatch::getDetections | ( | size_t | index = `0` | ) | const
| pure virtual noexcept

Returns detection Span.

Parameters

  [in] | index | index of the detections Span.

Returns
  Span of detections.

See also
  Span and Detection for details.

Note
  all spans should be based on user owned continuous collections.
  Result Span could be empty in two cases:
  1. If no humans were detected in the target image.
  2. If detection request didn't contain the DCT_BOX flag.

See also
  HumanDetectionType.

## ◆ getHuman()

virtual Human fsdk::IHumanDetectionBatch::getHuman | ( | const Image & | image,
|  | size_t | imageIndex,
|  | size_t | detectionIndex
| ) |  | const
| pure virtual noexcept

Returns detected Human.

Parameters

  [in] | image | source image.
  [in] | imageIndex | index of the image.
  [in] | detectionIndex | index of the detection.

Returns
  Detected Human.

See also
  Human and Image for details.

Note
  image format must be R8G8B8,

See also
  Format.

Note
  Result Human could be invalid if no humans were detected on the target image or parameters are invalid.

## ◆ getLandmarks17()

virtual Span<const HumanLandmarks17> fsdk::IHumanDetectionBatch::getLandmarks17 | ( | size_t | index = `0` | ) | const
| pure virtual noexcept

Returns HumanLandmarks17 Span.

Parameters

  [in] | index | index of the HumanLandmarks17 Span.

Returns
  Span of HumanLandmarks17.

Note
  all spans should be based on user owned continuous collections.

See also
  Span and HumanLandmarks17 for details.

Note
  Result Span could be empty in two cases:
  1. If no humans were detected in the target image.
  2. If detection request didn't contain the DCT_POINTS flag.

See also
  HumanDetectionType.

## ◆ getSize()

virtual size_t fsdk::IHumanDetectionBatch::getSize | ( | size_t | imageIndex | ) | const
| pure virtual noexcept

Returns size of the results for the target index.

Parameters

  [in] | imageIndex | index of the image.

The documentation for this struct was generated from the following file:

- include/fsdk/IHumanDetectionBatch.h